:root {
    --bg-color: #F6EBD8;
    --bg-color-light: #FEF9F1;
    --text-color: #707070;
}

html {
    background-color: var(--bg-color) !important;
}

body {
    margin-top: 2rem;
    background-color: var(--bg-color) !important;
}

html,
body {
    max-width: 100%;
    overflow-x: hidden;
}

.page_container {
    background-color: var(--bg-color-light) !important;
    min-height: 65vh;
}

.page {
    background-color: var(--bg-color-light) !important;
    color: var(--text-color) !important;
    margin: auto;
}


/*=========================================
*****************  Schuzky  ******************
============================================*/

.schuzky {
    margin-top: 0rem;
    margin-bottom: 1.5rem;
    font-family: skautbold;
    font-size: 0.8rem;
}

@media only screen and (max-width:480px) {
    .schuzka_den_zkratka {
        display: block;
    }
    .schuzka_den_cely {
        display: none;
    }
    .schuzka_oddil {
        text-align: center;
        font-size: 4vw;
        margin-left: 0.4rem;
        margin-top: 0.4rem;
        margin-bottom: 0.4rem;
    }
    .schuzka_den {
        text-align: center;
        font-size: 4vw;
        margin-top: 0.4rem;
        margin-bottom: 0.4rem;
    }
    .schuzka_cas {
        text-align: center;
        font-size: 4vw;
        margin-right: 0.4rem;
        margin-top: 0.4rem;
        margin-bottom: 0.4rem;
    }
}

@media only screen and (min-width:480px) and (max-width:768px) {
    .schuzka_den_zkratka {
        display: none;
    }
    .schuzka_den_cely {
        display: block;
    }
    .schuzka_oddil {
        text-align: center;
        font-size: 1rem;
        margin-left: 0.4rem;
        margin-top: 0.4rem;
        margin-bottom: 0.4rem;
    }
    .schuzka_den {
        text-align: center;
        font-size: 1rem;
        margin-top: 0.4rem;
        margin-bottom: 0.4rem;
    }
    .schuzka_cas {
        text-align: center;
        font-size: 1rem;
        margin-right: 0.4rem;
        margin-top: 0.4rem;
        margin-bottom: 0.4rem;
    }
}

@media only screen and (max-width:768px) {
    .schuzky_header {
        font-size: 1.5rem;
    }
    .schuzka_rozlozeni {
        margin-left: 1.5rem;
        margin-right: 1.5rem;
    }
    .schuzkarow:nth-child(odd) {
        background-color: rgba(255, 255, 255, 0.45);
    }
}

@media only screen and (min-width: 768px) and (max-width: 1199px) {
    .schuzky_header {
        font-size: 1.9vw;
        color: black !important;
    }
    .schuzka_oddil {
        text-align: center;
        font-size: 1.6vw;
        margin-left: 0rem;
        color: #404040 !important;
        margin-bottom: 0rem;
    }
    .schuzka_den {
        text-align: left;
        font-size: 1.6vw;
        margin-left: 0rem;
    }
    .schuzka_den_zkratka {
        display: none;
    }
    .schuzka_cas {
        text-align: right;
        font-size: 1.5vw;
        margin-right: 0rem;
    }
}

@media only screen and (min-width: 1200px) and (max-width:1265px) {
    .schuzka_den_cely {
        display: none;
    }
    .schuzky_header {
        font-size: 1.4vw;
        color: black !important;
    }
    .schuzka_cas_admin {
        text-align: right;
        font-size: 0.9vw !important;
        margin-right: 0.2rem;
    }
}

@media only screen and (min-width: 1266px) and (max-width:1680px) {
    .schuzky_header {
        font-size: 1.4vw;
        color: black !important;
    }
    .schuzka_oddil {
        font-size: 1.2vw;
        margin-left: 0.2rem;
    }
    .schuzka_den {
        text-align: center;
        font-size: 1.2vw;
    }
    .schuzka_den_cely {
        display: none;
    }
    .schuzka_cas {
        text-align: right;
        font-size: 1.2vw;
        margin-right: 0.2rem;
    }
    .schuzka_rozlozeni {
        margin-left: 1.5rem;
        margin-right: 0rem;
    }
    .schuzka_oddil_admin {
        font-size: 1.1vw !important;
        margin-left: 0.2rem;
    }
    .schuzka_den_admin {
        text-align: center;
        font-size: 1.1vw !important;
    }
    .schuzka_cas_admin {
        text-align: right;
        font-size: 1vw !important;
        margin-right: 0.2rem;
    }
}

@media only screen and (min-width: 1680px) {
    .schuzky_header {
        font-size: 1.1vw;
        color: black !important;
    }
    .schuzka_oddil {
        font-size: 0.9vw;
        margin-left: 0.5rem;
    }
    .schuzka_den {
        text-align: center;
        font-size: 0.9vw;
    }
    .schuzka_den_cely {
        display: none;
    }
    .schuzka_cas {
        text-align: right;
        font-size: 0.9vw;
        margin-right: 0.5rem;
    }
    .schuzka_rozlozeni {
        margin-left: 5rem;
        margin-right: 0rem;
    }
}


/*=========================================
*********  Texty na strance nad 1680px  *******
============================================*/

@media only screen and (max-width: 1680px) {
    /*Aktuality*/
    .newsHeader {
        font-family: Arial, Helvetica, sans-serif;
        text-align: center;
        font-size: 1.5rem;
        margin-top: 1.5rem;
        margin-bottom: 1rem;
        color: #1D1D1D;
    }
    .newsContent {
        font-family: Arial, Helvetica, sans-serif;
        text-align: left;
        font-size: 0.8rem;
        color: #1D1D1D;
        max-width: 100%;
    }
    /*Družiny*/
    .schuzkyDruziny {
        font-size: 1.2rem;
    }
    .vedouciDruziny {
        font-size: 1rem;
    }
    /*Kontakty*/
    .kontaktyNadpis {
        font-size: 1.2rem;
    }
    .kontaktyData {
        margin-bottom: 0;
    }
    .kontaktyKlubovna {
        font-size: 1.5rem;
        text-decoration: underline !important;
    }
}

@media only screen and (min-width: 1680px) {
    .pageData {
        font-size: 0.9vw;
    }
    /*Aktuality*/
    .newsHeader {
        font-family: Arial, Helvetica, sans-serif;
        text-align: center;
        font-size: 1.1vw;
        margin-top: 1.5rem;
        margin-bottom: 1rem;
        color: #1D1D1D;
    }
    .newsContent {
        font-family: Arial, Helvetica, sans-serif;
        text-align: left;
        font-size: 0.75vw;
        color: #1D1D1D;
        max-width: 100%;
    }
    /*Družiny*/
    .nazevDruziny {
        font-size: 1.2vw;
    }
    .schuzkyDruziny {
        font-size: 1vw;
    }
    .vedouciDruziny {
        font-size: 0.9vw;
    }
    .vedouciDruzinyData {
        font-size: 0.75vw;
    }
    /*Kontakty*/
    .kontaktyNadpis {
        font-size: 0.9vw;
    }
    .kontaktyData {
        margin-bottom: 0;
    }
    .kontaktyKlubovna {
        font-size: 1.2vw;
        text-decoration: underline !important;
    }
}


/*=========================================
************  Desktop 1680+  *****************
============================================*/

@media only screen and (min-width: 1680px) {
    .page {
        width: 80%;
    }
    .footer {
        width: 80%;
    }
    .page_container {
        margin: auto;
        padding-left: 2rem;
        padding-right: 2rem;
        margin-top: 3rem
    }
    .blurBackground {
        margin-bottom: 5rem;
    }
    .logo_header {
        width: 3.5vw;
        margin-bottom: 1rem;
    }
    .logoText {
        display: inline-block;
        vertical-align: middle;
        font-family: skautbold;
        margin-left: 1.5rem;
        margin-bottom: 1.2rem;
    }
    .logo_text_h1 {
        font-size: 1.5vw;
    }
    .menu {
        background-color: var(--bg-color-light);
        padding-top: 1.5rem;
    }
    .small_menu {
        background-color: var(--bg-color-light);
    }
    nav {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
        margin: auto;
    }
    .content_rozlozeni {
        margin-left: 0rem;
    }
    .vedouci_druziny {
        margin-left: 2rem;
        margin-top: 0;
    }
    .register {
        background-color: var(--bg-color-light);
        margin: auto;
        width: 50%;
        margin-top: 8rem;
    }
    .registerForm {
        text-align: left;
        margin-bottom: 0;
        font-size: 1.4rem;
    }
}


/*=========================================
*****************Desktop*********************
============================================*/

@media only screen and (min-width: 1265px) and (max-width:1680px) {
    .page {
        width: 80%;
    }
    .footer {
        width: 80%;
    }
    .page_container {
        margin: auto;
        padding-left: 2rem;
        padding-right: 3rem;
        margin-top: 3rem
    }
    .blurBackground {
        margin-bottom: 2rem;
    }
    .logo_header {
        width: 75px;
        margin-bottom: 1rem;
    }
    .logoText {
        display: inline-block;
        vertical-align: middle;
        font-family: skautbold;
        margin-left: 1.5rem;
        margin-bottom: 1.2rem;
    }
    .logo_text_h1 {
        font-size: 1.7rem;
    }
    .menu {
        background-color: var(--bg-color-light);
        padding-top: 1.5rem;
    }
    .small_menu {
        background-color: var(--bg-color-light);
    }
    nav {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
        margin: auto;
    }
    .content_rozlozeni {
        margin-left: 0rem;
    }
    .vedouci_druziny {
        margin-left: 2rem;
        margin-top: 0;
    }
    .register {
        background-color: var(--bg-color-light);
        margin: auto;
        width: 50%;
        margin-top: 8rem;
    }
    .registerForm {
        text-align: left;
        margin-bottom: 0;
        font-size: 1.4rem;
    }
}


/*=========================================
********* Desktop 1024-1265px ****************
============================================*/

@media only screen and (min-width: 1024px) and (max-width:1265px) {
    .page {
        width: 80%;
    }
    .footer {
        width: 80%;
    }
    .page_container {
        margin: auto;
        padding-left: 2rem;
        padding-right: 3rem;
        margin-top: 3rem
    }
    .blurBackground {
        margin-bottom: 2rem;
    }
    .logo_header {
        width: 75px;
        margin-bottom: 1rem;
    }
    .logoText {
        display: inline-block;
        vertical-align: middle;
        font-family: skautbold;
        margin-left: 1.5rem;
        margin-bottom: 1.2rem;
    }
    .logo_text_h1 {
        font-size: 1.7rem;
    }
    .menu {
        background-color: var(--bg-color-light);
        padding-top: 1.5rem;
    }
    .small_menu {
        background-color: var(--bg-color-light);
    }
    nav {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
        margin: auto;
    }
    .schuzka_rozlozeni {
        margin-left: 1.5rem;
        margin-right: 0rem;
    }
    .content_rozlozeni {
        margin-left: 0rem;
    }
    .vedouci_druziny {
        margin-left: 2rem;
        margin-top: 0;
    }
    .register {
        background-color: var(--bg-color-light);
        margin: auto;
        width: 50%;
        margin-top: 8rem;
    }
    .registerForm {
        text-align: left;
        margin-bottom: 0;
        font-size: 1.4rem;
    }
}


/*=========================================
*****************tablet*********************
============================================*/

@media only screen and (min-width: 768px) and (max-width:1023px) {
    .page {
        width: 100%;
    }
    .footer {
        width: 100%;
    }
    .page_container {
        width: 100%;
        margin: auto;
        padding-left: 1rem;
        padding-right: 1rem;
        margin-top: 3rem
    }
    .blurBackground {
        margin-bottom: 2rem;
    }
    .logo_header {
        width: 75px;
        margin-bottom: 1rem;
        margin-left: 1.5rem;
    }
    .logoText {
        display: inline-block;
        vertical-align: middle;
        font-family: skautbold;
        margin-left: 1.5rem;
        margin-bottom: 1.2rem;
    }
    .logo_text_h1 {
        font-size: 1.7rem;
    }
    .user_text_header {
        padding-right: 1rem;
    }
    .menu {
        background-color: var(--bg-color-light);
    }
    .small_menu {
        background-color: var(--bg-color-light);
    }
    nav {
        width: 100%;
    }
    .schuzka_rozlozeni {
        margin-left: 1.5rem;
        margin-right: 1.5rem;
    }
    .content_rozlozeni {
        margin-left: 0rem;
    }
    .vedouci_druziny {
        margin-left: 2rem;
        margin-top: 0;
    }
    .register {
        background-color: var(--bg-color-light);
        margin: auto;
        width: 100%;
        margin-top: 0rem;
    }
    .registerForm {
        text-align: left;
        margin-bottom: 0;
        font-size: 1.4rem;
    }
}


/*=========================================
*****************Smartphone*******************
============================================*/

@media only screen and (max-width:768px) {
    .page {
        width: 100%;
    }
    .footer {
        width: 100%;
    }
    .page_container {
        width: 100%;
        margin: auto;
        padding-left: 1rem;
        padding-right: 1rem;
        margin-top: 3rem
    }
    .blurBackground {
        margin-bottom: 3rem;
    }
    .logo_header {
        width: 12vw;
        margin-bottom: 1rem;
        margin-left: 1.5rem;
    }
    .logoText {
        display: inline-block;
        vertical-align: middle;
        font-family: skautbold;
        margin-left: 0.5rem;
        margin-bottom: 1.2rem;
    }
    .logo_text_h1 {
        font-size: 5vw;
    }
    .user_text_header {
        padding-right: 1rem;
    }
    .menu {
        background-color: var(--bg-color-light);
    }
    .small_menu {
        background-color: var(--bg-color-light);
    }
    nav {
        width: 100%;
    }
    .vedouci_druziny {
        width: 70%;
        margin: auto;
    }
    .podporili_img {
        width: 50%;
    }
    .register {
        background-color: var(--bg-color-light);
        margin: auto;
        width: 100%;
        margin-top: 0rem;
    }
    .registerForm {
        text-align: left;
        margin-bottom: 0;
        font-size: 0.9rem;
    }
}

.footer {
    text-align: center;
    background-color: var(--bg-color-light);
    margin: 1.5rem auto 1rem auto;
}


/*=========================================
*****************Index*********************
============================================*/

.container-fluid {
    background-color: var(--bg-color-light) !important;
    padding: 0;
}


/*=========================================
*****************Header*********************
============================================*/

.unselectable {
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
    pointer-events: none;
}

.header {
    background-color: var(--bg-color) !important;
}

.mainLogo a {
    color: var(--text-color);
}

.mainLogo a :hover {
    color: var(--text-color);
}


/*=========================================
*****************Menu*********************
============================================*/

@media only screen and (max-width: 768px) {
    .nav-link {
        text-align: left;
    }
    .dropdown-menu {
        position: relative;
        padding-left: 1.5rem;
        box-shadow: none;
        -webkit-box-shadow: none;
    }
    .mainmenu-collapse {
        cursor: pointer;
        display: inline-block;
    }
    .collapsed {
        display: none;
    }
    .w-sm-100 {
        width: 100%;
    }
    .mainmenu-item a {
        display: block !important;
    }
}

@media only screen and (max-width: 450px) {
    .dropdown-toggle,
    .nav-link,
    .dropdown-item {
        font-size: 0.8rem;
    }
}

@media only screen and (min-width:450px) and (max-width: 768px) {
    .dropdown-toggle,
    .nav-link,
    .dropdown-item {
        font-size: 1rem;
    }
}

@media only screen and (min-width:768px) and (max-width: 1680px) {
    .dropdown-toggle,
    .nav-link,
    .dropdown-item {
        font-size: 0.95rem;
    }
}

@media only screen and (min-width: 1680px) {
    .dropdown-toggle,
    .nav-link,
    .dropdown-item {
        font-size: 0.8vw;
    }
}

@media (min-width: 768px) {
    .mainmenu-collapse {
        cursor: pointer;
        display: inline-flex !important;
        width: 100%;
    }
}

.nav-link {
    color: var(--bg-color) !important;
    font-family: skautbold;
}

.nav-link:hover {
    color: #FCC11E !important;
}

.nav,
.dropdown-menu {
    background-color: #8D5F0F !important;
}

.dropdown-menu {
    width: fit-content;
    min-width: 100%;
    border-radius: 0;
}

.dropdown-item {
    color: var(--bg-color) !important;
    font-family: skautbold;
    height: 100%;
    margin: 0;
}

.dropdown-item:hover {
    background-color: #8D5F0F;
    border-radius: 0;
    color: #FCC11E !important;
}

.menuIcon {
    color: white;
    font-size: 1rem;
    vertical-align: middle;
}

.menuButton {
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    margin-left: auto;
    margin-bottom: auto;
}

@media all and (min-width: 200px) {
    .nav .nav-item .dropdown-menu {
        display: none;
    }
    .nav .nav-item:hover .dropdown-menu {
        display: block;
    }
    .nav .nav-item .dropdown-menu {
        margin-top: 0;
    }
}


/*=========================================
*****************MainPage*********************
============================================*/

.blurBackground {
    background-color: rgba(246, 235, 216, 0.8);
    box-shadow: 0px 0px 10px 10px rgba(246, 235, 216, 0.7);
}

.vedouci {
    margin-top: 1rem;
    margin-bottom: 1.5rem;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.8rem;
}


/* register */

.registerInput {
    width: 100%;
}

@media (max-width:768px) {
    .keStazeniNazev {
        font-size: 0.8rem;
    }
}


/*=========================================
***************** Naše Klubovny ********************
============================================*/

.nazev_klubovny {
    text-align: center;
    font-size: 2rem;
    margin-bottom: 4rem;
}


/*=========================================
*****************admin*********************
============================================*/

.iconEdit {
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 1.4rem;
    color: var(--text-color);
}

.iconUp {
    position: absolute;
    top: 25px;
    right: 40px;
    font-size: 1.4rem;
    color: var(--text-color);
}

.iconDown {
    position: absolute;
    top: 25px;
    right: 70px;
    font-size: 1.4rem;
    color: var(--text-color);
}

.fabutton {
    background: none;
    padding: 0px;
    border: none;
}

.iconEditSchuzky {
    position: absolute;
    top: 3px;
    right: 10px;
    font-size: 1.1rem;
    color: var(--text-color);
}

.iconDelete {
    position: absolute;
    top: 5px;
    right: 35px;
    font-size: 1.1rem;
    color: var(--text-color);
}

.iconAdd {
    top: 5px;
    right: 5px;
    font-size: 1.5rem;
    color: var(--text-color);
    text-align: right;
}

.titleInput {
    width: 100%;
    margin: auto;
    margin-bottom: 1rem;
    text-align: center;
    font-size: 1.2rem;
}


/*=========================================
*****************Galerie*********************
============================================*/

.galerieImage {
    margin: auto;
    display: block;
    margin-bottom: 1.5rem;
    width: auto;
    max-width: 100%;
}

.galerieAlbumRok {
    margin: auto;
    display: block;
    margin-bottom: 0.5rem;
    width: auto;
}

@media only screen and (max-width:576px) {
    .galerieImage {
        height: 20vw;
    }
    .galerieAlbumRok {
        height: 18vw;
    }
}

@media only screen and (min-width:576px) and (max-width:768px) {
    .galerieImage {
        height: 14vw;
    }
    .galerieAlbumRok {
        height: 15vw;
    }
}

@media only screen and (min-width:768px) and (max-width:1600px) {
    .galerieImage {
        height: 9vw;
    }
    .galerieAlbumRok {
        height: 10vw;
    }
}

@media only screen and (min-width:1600px) {
    .galerieImage {
        height: 7vw;
    }
    .galerieAlbumRok {
        height: 7vw;
    }
}


/*=========================================
*********Upload obrázků do galerie************
============================================*/

.uploadImageThumbnail {
    opacity: 0.5;
    width: 100%;
    height: 100%;
    /*background-color: #707070;*/
    background-size: cover;
}

.uploadImageIcon {
    top: 50%;
    left: 50%;
    position: absolute;
    transform: translate(-50%, -50%);
    font-size: 2vw;
    color: #525252;
}

.uploadImageLoadingIcon {
    top: 40% !important;
}

.uploadImageIconText {
    top: 75%;
    left: 50%;
    position: absolute;
    transform: translate(-50%, -50%);
    font-size: 0.8vw;
    color: #525252;
}

.uploadImage {
    position: relative;
    height: 5vw;
    width: 100%;
    margin-bottom: 1rem;
}

.uploadFormButton {
    width: 100%;
    margin: auto;
}

.editThumbnail {
    cursor: pointer;
    position: absolute;
    right: 17px;
    bottom: 9px;
}

.lokalitaSchuzek {
    text-decoration: underline !important;
}

hr.solid {
    border-top: 1px solid rgb(0, 0, 0);
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    margin: auto;
}